import { Observable, Subject } from "rxjs"
import { AdapterInterface, AdapterManagerInterface, GeneralEvent, TransmissionRole, TransportServiceInterface } from "../interface/interface"

export class AdapterManagerBase implements AdapterManagerInterface {
    protected browserEnv!: boolean
    protected event!: Subject<GeneralEvent<any>>
    protected transportServiceArray: TransportServiceInterface[] = []
    protected adapters: AdapterInterface[] = []

    constructor() {
        // logic here
    }

    subscribeForAdapters(selfId: string, receiverId: string, role: TransmissionRole): Observable<AdapterInterface> {
        throw new Error("Method not implemented.")
    }

}



